<?php

/*******************************************************************************
 * eredeti url: http://www.archlinexp.com/version/regisztracio/SERIALNUMBER/ISID
 ******************************************************************************/

if (!class_exists('crm_hardlock')) require_once("common_cadline_libraries/crm_hardlock.class.php");

$serial = $_GET['serial']; // segment(3);
$isid = $_GET['isid']; // segment(4);

// Lehetséges, hogy vannak olyan programok, amik ezt hasznaljak
// Ez a telepites ota eltelt idot hivatott kozolni, ami az AL oldalon nem szamithato ki, ezert tilos hasznalni
//$kod = (isset($_GET['kod']) ? $_GET['kod'] : NULL); // segment(5);

//Share-it kivetel
if ((int)substr($serial, 0, 2) == 95) {
    crm_database::getInstance()->query("SELECT * FROM `" . CRMADATBAZIS . "`.`hardlock` WHERE hlNum='" . substr($serial, 0, 6) . "' AND hlDealer=37243 LIMIT 1;");
    $res = crm_database::getInstance()->fetchAssoc();
    if (count($res)) {
        print(("shareit"));
        exit;
    }
}

// isid kiegeszitese 0-val
crm_hardlock::correctIsid($isid);

$softwarekey = Codegen::IsSoftwareKey($serial);
if ($softwarekey == false) // A regisztracional a gepazonositot kuldi a program, ez hardware kulcsnal nem alkalmazhato
    $isid = crm_hardlock::GetIsidFromPasswordForHardwareKeys($serial);

$register_result = crm_hardlock::RegisterProgram($serial, $isid, "", "", "", false); // $comp_name = base64_decode($comp_name); // Meg nem jon be az npid meg a computer name
if (substr($register_result, 0, 6) == "error:") {
    crm_hardlock::_Hibajelento("regisztracio", substr($serial, 0, 6), "isid: {$isid}, valasz: {$register_result}");
    print $register_result;
    return;
}

$aktkod = crm_hardlock::GetOrGenerateTimeCode($serial, $isid, '');
print $aktkod;
return;
